#
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT license.
#


steps:
- task: PipAuthenticate@1
  displayName: 'Pip Authenticate'
  inputs:
    # Provide list of feed names which you want to authenticate.
    # Project scoped feeds must include the project name in addition to the feed name.
    artifactFeeds: 'Carbon/Carbon_PublicPackages'
    onlyAddExtraIndex: false
- task: UsePythonVersion@0
  inputs:
    versionSpec: 3.10
    addToPath: true
    architecture: x64
  displayName: Use Python 3.10
- bash: |
    set -ex
    python -m pip install flake8
    python -m flake8 --max-line-length 137
  displayName: Lint Python (samples)
